Skip to content
This repository

Error: Can't use $gte with Array #902

Closed
Tizianol8 opened this Issue · 1 comment

2 participants

Tiziano Rossi Aaron Heckmann
Tiziano Rossi

i've got a schema with one field defined as Array (for example):
.....
dates: [Number],
....

When i try to use the $gte operator on that field, mongoose give me the error: "Can't use $gte with Array".
The exactly same query in mongodb shell works fine.

I'm using;
mongoose@2.6.2
MongoDB shell version: 2.0.4
node version v0.6.16

Thanks!

Aaron Heckmann
Collaborator

thanks for the report.

Aaron Heckmann aheckmann referenced this issue from a commit in aheckmann/mongoose
Aaron Heckmann aheckmann added; gt,gte,lt,lte query support for arrays
closes #902

Conflicts:

	lib/schema/array.js
8bdc3d1
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.